Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InternalLinkTypePhoneNumberConfirmation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType
it.tdlight.jni.TdApi.InternalLinkTypePhoneNumberConfirmation

Enclosing class:
  TdApi

public static final class TdApi.InternalLinkTypePhoneNumberConfirmation extends TdApi.InternalLinkType
The link can be used to confirm ownership of a phone number to prevent account deletion. Call sendPhoneNumberConfirmationCode with the given hash and phone number to process the link. If succeeded, call checkPhoneNumberConfirmationCode to check entered by the user code, or resendPhoneNumberConfirmationCode to resend it.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`hash`
Hash value from the link.
`String`
`phoneNumber`
Phone number value from the link.

## Constructor Summary

Constructors
Constructor
Description
`InternalLinkTypePhoneNumberConfirmation()`
The link can be used to confirm ownership of a phone number to prevent account deletion.
`InternalLinkTypePhoneNumberConfirmation(DataInput input)`
The link can be used to confirm ownership of a phone number to prevent account deletion.
`InternalLinkTypePhoneNumberConfirmation(String hash, String phoneNumber)`
The link can be used to confirm ownership of a phone number to prevent account deletion.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### hash

public String hash
Hash value from the link.

### phoneNumber

public String phoneNumber
Phone number value from the link.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InternalLinkTypePhoneNumberConfirmation

public InternalLinkTypePhoneNumberConfirmation()
The link can be used to confirm ownership of a phone number to prevent account deletion. Call sendPhoneNumberConfirmationCode with the given hash and phone number to process the link. If succeeded, call checkPhoneNumberConfirmationCode to check entered by the user code, or resendPhoneNumberConfirmationCode to resend it.

### InternalLinkTypePhoneNumberConfirmation

public InternalLinkTypePhoneNumberConfirmation(String hash, String phoneNumber)
The link can be used to confirm ownership of a phone number to prevent account deletion. Call sendPhoneNumberConfirmationCode with the given hash and phone number to process the link. If succeeded, call checkPhoneNumberConfirmationCode to check entered by the user code, or resendPhoneNumberConfirmationCode to resend it.

Parameters:
  `hash` - Hash value from the link.
  `phoneNumber` - Phone number value from the link.

### InternalLinkTypePhoneNumberConfirmation

public InternalLinkTypePhoneNumberConfirmation(DataInput input) throws IOException
The link can be used to confirm ownership of a phone number to prevent account deletion. Call sendPhoneNumberConfirmationCode with the given hash and phone number to process the link. If succeeded, call checkPhoneNumberConfirmationCode to check entered by the user code, or resendPhoneNumberConfirmationCode to resend it.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`